Bug 1023658 - request to reopen bug Bug 992464
request to reopen bug Bug 992464
Status: CLOSED NOTABUG
Product: OpenShift Online
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
: UpcomingRelease
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-26 12:49 EDT by Jared Null
Modified: 2015-05-14 22:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-31 22:29:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jared Null 2013-10-26 12:49:31 EDT
Description of problem:

When the authorization token is expired the correct password is showing to be incorrect.

Version-Release number of selected component (if applicable):

[null@daffy node]$ rhc --version 
rhc 1.14.7

[null@daffy node]$ uname -a
Linux daffy.duck 3.9.10-100.fc17.x86_64 #1 SMP Sun Jul 14 01:31:27 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:

1) Allow auth token to expire for app 
Steps to Reproduce:

[null@daffy node]$ rhc cartridge add mongodb-2.2 --app node
Your authorization token has expired. Please sign in now to continue.
Password: ********
Username or password is not correct
[null@daffy node]$ cd /home/null/.openshift/
[null@daffy .openshift]$ ls
express.conf  express.conf.bak  token_Wdt83Gh1tvTgXkzO3V345A
[null@daffy .openshift]$ mv token_Wdt83Gh1tvTgXkzO3V345A token_Wdt83Gh1tvTgXkzO3V345A.bak
[null@daffy node]$ rhc cartridge add mongodb-2.2 --app node
Please sign in to start a new session to openshift.redhat.com.
Password: ********
Adding mongodb-2.2 to application 'node' ... done

mongodb-2.2 (MongoDB 2.2)
-------------------------
  Gears:          Located with nodejs-0.10
  Connection URL: mongodb://$OPENSHIFT_MONGODB_DB_HOST:$OPENSHIFT_MONGODB_DB_PORT/
  Database Name:  node
  Password:        
  Username:       admin

MongoDB 2.2 database added.  Please make note of these credentials:

   Root User:     admin
   Root Password:  
   Database Name: node

Connection URL: mongodb://$OPENSHIFT_MONGODB_DB_HOST:$OPENSHIFT_MONGODB_DB_PORT/
[null@daffy node]$ 

Actual results:
Username or password is not correct

Expected results:
no password accepted

Additional info:
https://bugzilla.redhat.com/show_bug.cgi?format=multiple&id=949307
https://bugzilla.redhat.com/show_bug.cgi?format=multiple&id=992464
Comment 1 Jared Null 2013-10-26 12:52:22 EDT
Expected results:
correct password accepted
Comment 2 Wei Sun 2013-10-30 23:51:17 EDT
Check this bug against INT(devenv_3971) with rhc-1.16.6 and rhc-1.14.7,could not reproduce this bug.

Result:

[openshift@dhcp-10-143 ~]$ rhc cartridge-add mongodb-2.2 --app r8
Your authorization token has expired. Please sign in now to continue.
Password: *
Username or password is not correct
Password: ******
Adding mongodb-2.2 to application 'r8' ... done

mongodb-2.2 (MongoDB 2.2)
-------------------------
  Gears:          Located with ruby-1.8
  Connection URL: mongodb://$OPENSHIFT_MONGODB_DB_HOST:$OPENSHIFT_MONGODB_DB_PORT/
  Database Name:  r8
  Password:       Tv9VjjV-db3I
  Username:       admin

MongoDB 2.2 database added.  Please make note of these credentials:

   Root User:     admin
   Root Password: Tv9VjjV-db3I
   Database Name: r8

Connection URL: mongodb://$OPENSHIFT_MONGODB_DB_HOST:$OPENSHIFT_MONGODB_DB_PORT/
[openshift@dhcp-10-143 ~]$ rhc authorization
RHC/1.14.7 (from dhcp-10-143.nay.redhat.com on x86_64-linux)
------------------------------------------------------------
  Token:      669d428e8815222f3873a279cd49b2194ca8e2bbe31ca8506e0dd30764939f42
  Scopes:     session
  Created:    11:47 AM
  Expires In: 30 days
Comment 3 Clayton Coleman 2013-10-31 13:01:48 EDT
I can't reproduce this (I think) in 1.15 - can you try upgrading and letting me know?
Comment 4 Jared Null 2013-10-31 13:52:59 EDT
i'll attempt a screen capture tonight while i reproduce the error for more information, and then attempt to upgrade to 1.15.
Comment 5 Jared Null 2013-10-31 22:29:07 EDT
still at rhc version 1.14.7 and cannot reproduce. Marking as closed, will reopen if it occurs again.

Note You need to log in before you can comment on or make changes to this bug.